Skip to Content

POST Trips

Gebruik dit endpoint om een nieuwe rit binnen een branch aan te maken.

Gebruikersniveau: Gevorderd

Endpoint

POST /v1/{scopeId}/trips
EigenschapWaarde
MethodPOST
Scope IDBranch UUID
AuthenticatieAuthorization: Bearer <access_token>
Vereiste scoperoutix:trips:write
Content-Typeapplication/json
Request bodyJSON object

Toegestane createvelden

Veld
reference
status
vehicle_id
driver_id
start_date
end_date
comment

Voorbeeldrequest

curl -X POST "https://api.routix.com/v1/550e8400-e29b-41d4-a716-446655440000/trips" \ -H "Authorization: Bearer eyJhbGciOiJIUzI1NiIs..." \ -H "Content-Type: application/json" \ -d '{ "reference": "TRP-2025-010", "status": "planned", "start_date": "2025-01-20T08:00:00Z" }'

Voorbeeldresponse

{ "data": { "id": "550e8400-e29b-41d4-a716-446655440041", "reference": "TRP-2025-010", "status": "planned", "start_date": "2025-01-20T08:00:00Z" }, "version": "v1" }
Last updated on